TYPO3 Core - Bug #91515

token validation fails when clicking on comparison view links in Workspace E-Mails
2020-05-28 14:43 - Uwe Trotzek

Status: Closed Start date: 2020-05-28
Priority: Should have Due date:

Assignee: % Done: 100%
Category: Workspaces Estimated time: 0.00 hour
Target version:

TYPO3 Version: 10 Complexity:

PHP Version: Is Regression:

Tags: Sprint Focus:

Description

The editor and reviewer get HTML E-Mails nowadays, which is nice. Unfortunately they also get an error message when the backend

opens: "Validating the security token of this form has failed. Please reload the form and submit it again."

Related issues:
Related to TYPO3 Core - Bug #90411: Stage Change Notifications should be more...

Closed 2020-02-18

Associated revisions

Revision a97accab - 2021-01-07 18:46 - Christian Kuhn

[BUGFIX] Working preview links in workspace mails

Fix a couple of issues with state change emails in
workspaces:

We still can't deep link to the backend. The generated
comparisonLink to the side-by-side preview module is a
workspace backend functionality. The generated links
don't work and show the login form. The fix is to
generate "preview links" instead which call a frontend.
We may be able to improve this later, when core v11
allows deep linking.

When changing the stage of a page delete placeholder
- when a page is for deletion in live - preview link
generation to these pages does not make sense, trying
to generate such a link throws an exception "no
connection to page tree", the ajax request fails and

no mails are send. Fix is to catch the exception and
leave out the link in the emails.

Preview links did not carry the language id when
sending notifications for state changes of non default
language records. This is added to properly link to
non-default language previews.

A missing closing p-tag in the HTML mail.
As a better default, preview links are now always added

to the mails if possible. In rare cases where this is
not wanted, the mail templates should be adapted.

Change-Id: 184f0e4e5131d52ecbc5e7424137ae7e2ebdb2031
Resolves: #91515

Resolves: #81708

Related: #90411

Releases: master, 10.4

Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/67342

Tested-by: TYPO3com <noreply@typo3.com>
Tested-by: Oliver Bartsch <bo@cedev.de>
Tested-by: Benni Mack <benni@typo3.org>
Reviewed-by: Oliver Bartsch <bo@cedev.de>
Reviewed-by: Benni Mack <benni@typo3.org>
Revision 8191676 - 2021-01-10 11:50 - Christian Kuhn

[BUGFIX] Working preview links in workspace mails

Fix a couple of issues with state change emails in
workspaces:

e We still can't deep link to the backend. The generated
comparisonLink to the side-by-side preview module is a
workspace backend functionality. The generated links
don't work and show the login form. The fix is to
generate "preview links" instead which call a frontend.
We may be able to improve this later, when core v11
allows deep linking.

When changing the stage of a page delete placeholder
- when a page is for deletion in live - preview link
generation to these pages does not make sense, trying
to generate such a link throws an exception "no
connection to page tree", the ajax request fails and

no mails are send. Fix is to catch the exception and
leave out the link in the emails.

Preview links did not carry the language id when
sending notifications for state changes of non default
language records. This is added to properly link to
non-default language previews.

A missing closing p-tag in the HTML mail.

As a better default, preview links are now always added
to the mails if possible. In rare cases where this is
not wanted, the mail templates should be adapted.

Change-Id: 184f0e4e5131d52ecbc5e7424137ae7e2ebdb2031

Resolves: #91515

Resolves: #81708

Related: #90411

Releases: master, 10.4

Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/67372
Tested-by: TYPO3com <noreply@typo3.com>

Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>

History

#1 - 2021-01-05 14:29 - Christian Kuhn
- Related to Bug #90411: Stage Change Notifications should be more configurable added

#2 - 2021-01-05 14:52 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review. .org/c/Pack TYPO3.CMS/+/67342

#3 - 2021-01-05 14:54 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/67342

#4 - 2021-01-07 18:47 - Gerrit Code Review

Patch set 1 for branch 10.4 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/67372

#5 - 2021-01-07 18:51 - Christian Kuhn
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset a97accab38b51098fb07f528102e529¢175b0a59.
#6 - 2021-02-23 13:13 - Benni Mack

- Status changed from Resolved to Closed
